import { exec as execCallback } from 'child_process';
import { userInfo } from 'os';
import { promisify } from 'util';
import { GITEA_PATH_IC } from '../../core/config';

const exec = promisify(execCallback);

export default async function aquirePermissions() {
  await exec(`sudo chown -R ${userInfo().username} ${GITEA_PATH_IC}`);
}
